at.chipkarte.client.base.soap

## Class SvPersonV2

- Object
- - at.chipkarte.client.base.soap.SvPersonV2

-     public class SvPersonV2
      extends Object

  Enthält die Daten eines Patienten. Die Daten stammen vom e-card-Serversystem.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvPersonV2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDruckNachname()` Nachname des Patienten im UTF-8 Zeichensatz.
    `String` | `getDruckTitelHinten()` Titel hinten des Patienten im UTF-8 Zeichensatz.
    `String` | `getDruckTitelVorne()` Titel vorne des Patienten im UTF-8 Zeichensatz.
    `String` | `getDruckVorname()` Vorname des Patienten im UTF-8 Zeichensatz.
    `String` | `getGeburtsdatum()` Geburtsdatum des Patienten.
    `String` | `getGeschlecht()` Code des Geschlechts des Patienten.
    `String` | `getNachname()` Nachname des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `String` | `getSvNummer()` Sozialversicherungsnummer des Patienten.
    `String` | `getTitelHinten()` Titel hinten des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `String` | `getTitelVorne()` Titel vorne des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `String` | `getVorname()` Vorname des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1).
    `void` | `setDruckNachname(String druckNachname)`
    `void` | `setDruckTitelHinten(String druckTitelHinten)`
    `void` | `setDruckTitelVorne(String druckTitelVorne)`
    `void` | `setDruckVorname(String druckVorname)`
    `void` | `setGeburtsdatum(String geburtsdatum)`
    `void` | `setGeschlecht(String geschlecht)`
    `void` | `setNachname(String nachname)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setTitelHinten(String titelHinten)`
    `void` | `setTitelVorne(String titelVorne)`
    `void` | `setVorname(String vorname)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvPersonV2

          public SvPersonV2()

  - ### Method Detail

    - #### getGeburtsdatum

          public String getGeburtsdatum()

      Geburtsdatum des Patienten.
      Format: TT.MM.JJJJ
      Returns:
        Geburtsdatum.

    - #### getGeschlecht

          public String getGeschlecht()

      Code des Geschlechts des Patienten.
      Mögliche Werte siehe `Geschlechtscodes`.
      Format: 1-stellig
      Returns:
        Geschlecht

    - #### getNachname

          public String getNachname()

      Nachname des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 70-stellig
      Returns:
        Nachname

    - #### getTitelHinten

          public String getTitelHinten()

      Titel hinten des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 30-stellig
      Returns:
        Titel hinten

    - #### getTitelVorne

          public String getTitelVorne()

      Titel vorne des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 30-stellig
      Returns:
        Titel vorne

    - #### getVorname

          public String getVorname()

      Vorname des Patienten im reduzierten Zeichensatzumfang von Latin-1 (ISO-8859-1). Alle anderen Sonderzeichen sind nicht enthalten.
      Format: maximal 70-stellig
      Returns:
        Vorname

    - #### getDruckNachname

          public String getDruckNachname()

      Nachname des Patienten im UTF-8 Zeichensatz.
      Format: maximal 70-stellig
      Returns:
        Drucknachname

    - #### getDruckTitelHinten

          public String getDruckTitelHinten()

      Titel hinten des Patienten im UTF-8 Zeichensatz.
      Format: maximal 30-stellig
      Returns:
        Drucktitel hinten

    - #### getDruckTitelVorne

          public String getDruckTitelVorne()

      Titel vorne des Patienten im UTF-8 Zeichensatz.
      Format: maximal 30-stellig
      Returns:
        Drucktitel vorne

    - #### getDruckVorname

          public String getDruckVorname()

      Vorname des Patienten im UTF-8 Zeichensatz.
      Format: maximal 70-stellig
      Returns:
        Druckvorname

    - #### setGeburtsdatum

          public void setGeburtsdatum(String geburtsdatum)

    - #### setGeschlecht

          public void setGeschlecht(String geschlecht)

    - #### setNachname

          public void setNachname(String nachname)

    - #### setTitelHinten

          public void setTitelHinten(String titelHinten)

    - #### setTitelVorne

          public void setTitelVorne(String titelVorne)

    - #### setVorname

          public void setVorname(String vorname)

    - #### setDruckNachname

          public void setDruckNachname(String druckNachname)

    - #### setDruckTitelHinten

          public void setDruckTitelHinten(String druckTitelHinten)

    - #### setDruckTitelVorne

          public void setDruckTitelVorne(String druckTitelVorne)

    - #### setDruckVorname

          public void setDruckVorname(String druckVorname)

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer des Patienten.
      Format: 10-stellig
      Returns:
        Sozialversicherungsnummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)